/*******************************************************************************
 * Copyright (c) 2005 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Vishnu K Naikawadi,Intel - Initial API and implementation
 *
 * $Id: IDataProvider.h,v 1.4 2005-06-28 02:20:54 vnaikawadi Exp $ 
 *******************************************************************************/ 

#ifndef __IDataProvider_H__
#define __IDataProvider_H__


#include "tptp/TPTPExport.h"
#include "tptp/dime.h"



class TPTP_CLASS_EXPORT IDataProvider
{
	public:

		//TPTP AGENT API - Implemented by BaseAgentImpl
		virtual int sendData(int dataConnectionID, char buffer[], int bufferLength)=0;

		virtual int receiveData(int sourceID, char buffer[], int bytesRead, DIME_HEADER_PTR_T dimeHeader)=0;

};

#endif /* __IDataProvider_H__ */


